import NavigationWrapper from "@/components/NavigationWrapper";
import HeroSection from "@/components/HeroSection";
import EventsSection from "@/components/EventsSection";
import { prisma } from "@/lib/prisma";

export default async function Home() {
  const events = await prisma.event.findMany({
    orderBy: {
      date: "asc",
    },
    take: 3,
  });

  return (
    <main className="min-h-screen bg-black relative">
      <NavigationWrapper />
      <HeroSection />
      <EventsSection events={events} />
    </main>
  );
}
